summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /kde-apps/kdebase-meta
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'kde-apps/kdebase-meta')
-rw-r--r--kde-apps/kdebase-meta/kdebase-meta-4.14.3.ebuild63
-rw-r--r--kde-apps/kdebase-meta/metadata.xml9
2 files changed, 72 insertions, 0 deletions
diff --git a/kde-apps/kdebase-meta/kdebase-meta-4.14.3.ebuild b/kde-apps/kdebase-meta/kdebase-meta-4.14.3.ebuild
new file mode 100644
index 00000000000..19f2b98b761
--- /dev/null
+++ b/kde-apps/kdebase-meta/kdebase-meta-4.14.3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit kde4-meta-pkg
+
+DESCRIPTION="Merge this to pull in all kdebase-derived packages"
+KEYWORDS="amd64 ~arm ppc ppc64 x86 ~amd64-linux ~x86-linux"
+IUSE="+display-manager minimal +wallpapers"
+
+RDEPEND="
+ $(add_kdeapps_dep dolphin)
+ $(add_kdebase_dep kcheckpass '' 4.11)
+ wallpapers? ( $(add_kdeapps_dep kde-wallpapers '' 4.11) )
+ $(add_kdeapps_dep kde-base-artwork)
+ $(add_kdeapps_dep kdebase-runtime-meta)
+ $(add_kdeapps_dep kdialog)
+ $(add_kdeapps_dep keditbookmarks)
+ $(add_kdebase_dep kephal '' 4.11)
+ $(add_kdeapps_dep kfind)
+ $(add_kdeapps_dep kfmclient)
+ $(add_kdeapps_dep konq-plugins)
+ $(add_kdeapps_dep konqueror)
+ $(add_kdeapps_dep konsole)
+ $(add_kdebase_dep kscreensaver '' 4.11)
+ $(add_kdebase_dep kstartupconfig '' 4.11)
+ $(add_kdebase_dep kstyles '' 4.11)
+ $(add_kdebase_dep ksystraycmd '' 4.11)
+ $(add_kdeapps_dep kwrite)
+ $(add_kdeapps_dep libkonq)
+ $(add_kdebase_dep liboxygenstyle '' 4.11)
+ $(add_kdebase_dep libplasmaclock '' 4.11)
+ $(add_kdeapps_dep nsplugins)
+ $(add_kdeapps_dep phonon-kde)
+ $(add_kdeapps_dep plasma-apps)
+ $(add_kdebase_dep qguiplatformplugin_kde '' 4.11)
+ !minimal? (
+ $(add_kdebase_dep freespacenotifier '' 4.11)
+ $(add_kdebase_dep kcminit '' 4.11)
+ $(add_kdebase_dep kdebase-cursors '' 4.11)
+ $(add_kdebase_dep kdebase-startkde '' 4.11)
+ $(add_kdeapps_dep kdepasswd)
+ $(add_kdebase_dep khotkeys '' 4.11)
+ $(add_kdebase_dep kinfocenter '' 4.11)
+ $(add_kdebase_dep klipper '' 4.11)
+ $(add_kdebase_dep kmenuedit '' 4.11)
+ $(add_kdebase_dep krunner '' 4.11)
+ $(add_kdebase_dep ksmserver '' 4.11)
+ $(add_kdebase_dep ksplash '' 4.11)
+ $(add_kdebase_dep ksysguard '' 4.11)
+ $(add_kdebase_dep kwin '' 4.11)
+ $(add_kdebase_dep kwrited '' 4.11)
+ $(add_kdebase_dep libkworkspace '' 4.11)
+ $(add_kdebase_dep libplasmagenericshell '' 4.11)
+ $(add_kdebase_dep libtaskmanager '' 4.11)
+ $(add_kdebase_dep plasma-workspace '' 4.11)
+ $(add_kdebase_dep powerdevil '' 4.11)
+ $(add_kdebase_dep solid-actions-kcm '' 4.11)
+ $(add_kdebase_dep systemsettings '' 4.11)
+ !prefix? ( display-manager? ( || ( $(add_kdebase_dep kdm '' 4.11) x11-misc/lightdm x11-misc/sddm ) ) )
+ )
+"
diff --git a/kde-apps/kdebase-meta/metadata.xml b/kde-apps/kdebase-meta/metadata.xml
new file mode 100644
index 00000000000..729f4b3a0fb
--- /dev/null
+++ b/kde-apps/kdebase-meta/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>kde</herd>
+ <use>
+ <flag name="display-manager">Pull in a graphical display manager</flag>
+ <flag name="wallpapers">Install the KDE wallpapers</flag>
+ </use>
+</pkgmetadata>